Ubuntu

X fails to start with nvidia-prime on Acer Aspire V5-573G/V3-772G

Reported by Erno Kuusela on 2013-09-09
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Linux
Unknown
Unknown
linux (Ubuntu)
Medium
Unassigned

Bug Description

I get offered low-graphics mode but that doesn't start a session either. Let me know if you need info beyond what comes in these logs.

ProblemType: Bug
DistroRelease: Ubuntu 13.10
Package: nvidia-prime 0.4
ProcVersionSignature: Ubuntu 3.11.0-5.11-generic 3.11.0
Uname: Linux 3.11.0-5-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.12.1-0ubuntu3
Architecture: amd64
Date: Mon Sep 9 16:52:00 2013
MarkForUpload: True
PackageArchitecture: all
SourcePackage: nvidia-prime
UpgradeStatus: No upgrade log present (probably fresh install)

Erno Kuusela (erno-iki) wrote :
Erno Kuusela (erno-iki) wrote :
Erno Kuusela (erno-iki) wrote :
Erno Kuusela (erno-iki) wrote :

Going by the "failed to copy vbios to system memory" clue I ended up at https://bugzilla.kernel.org/show_bug.cgi?id=60829 where there is a kernel patch to work around an ACPI bug for this machine. I haven't tried it.

Erno Kuusela (erno-iki) wrote :

Tried xorg-edgers and nvidia-325 first, but got just a hang.

Then tried the patch from above and it worked. glxinfo now shows nvidia as renderer string!

I wonder if there's a way to switch between intel and nvidia?

Erno Kuusela (erno-iki) on 2013-09-09
affects: nvidia-prime (Ubuntu) → linux (Ubuntu)
Joseph Salisbury (jsalisbury) wrote :

Can you try the nouveau driver driver to see if it also exhibits this issue?

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: New → Incomplete
Erno Kuusela (erno-iki) wrote :
Download full text (3.5 KiB)

nouveau didn't work at all with this:

[ 60.105618] nouveau W[ PFIFO][0000:01:00.0] unknown status 0x00000100
[ 60.116809] nouveau W[ PFIFO][0000:01:00.0] unknown status 0x00000100
[ 60.116862] nouveau W[ PFIFO][0000:01:00.0] unknown status 0x00000100
[ 60.116884] nouveau W[ PFIFO][0000:01:00.0] unknown status 0x00000100
[ 60.117698] nouveau E[ PBUS][0000:01:00.0] MMIO write of 0x00000000 FAULT at 0x418880 [ IBUS ]
[ 60.117701] divide error: 0000 [#1] SMP
[ 60.117737] Modules linked in: parport_pc ppdev rfcomm bnep x86_pkg_temp_thermal coretemp kvm_intel kvm joydev uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core videodev e
rocode arc4 ath9k ath9k_common ath9k_hw psmouse snd_hda_codec_hdmi serio_raw snd_hda_codec_realtek rtsx_pci_ms ath lpc_ich mac80211 memstick snd_hda_intel snd_seq_midi snd_seq_midi_ev
wmidi btusb snd_hwdep snd_seq cfg80211 snd_pcm snd_seq_device mei_me snd_page_alloc snd_timer mei snd bluetooth soundcore mac_hid lp parport dm_crypt rtsx_pci_sdmmc crc32_pclmul ghash
ntel aes_x86_64 lrw gf128mul glue_helper ablk_helper cryptd i915 mxm_wmi ttm r8169 rtsx_pci ahci mii libahci i2c_algo_bit drm_kms_helper drm video wmi
[ 60.117739] CPU: 0 PID: 1159 Comm: Xorg Tainted: G I 3.11.0-5-generic #11
[ 60.117740] Hardware name: Acer Aspire V5-573G/Dazzle_HW, BIOS V2.13 06/28/2013
[ 60.117741] task: ffff8802523bddc0 ti: ffff880251bb6000 task.ti: ffff880251bb6000
[ 60.117768] RIP: 0010:[<ffffffffa0258c90>] [<ffffffffa0258c90>] nve4_graph_init+0x250/0x7e0 [nouveau]
[ 60.117770] RSP: 0018:ffff880251bb7c10 EFLAGS: 00010246
[ 60.117771] RAX: 00000000007fffff RBX: 0000000000000000 RCX: 0000000000000000
[ 60.117772] RDX: 0000000000000000 RSI: ffffc90022403018 RDI: 0000000000000000
[ 60.117773] RBP: ffff880251bb7ce8 R08: 0000000000000007 R09: 0000000000000000
[ 60.117774] R10: 000000000000902d R11: ffff88024d888000 R12: ffff88024d888000
[ 60.117775] R13: ffffffffa02c2080 R14: 0000000000000000 R15: ffff88024d8880eb
[ 60.117776] FS: 00007f518b003980(0000) GS:ffff88025f200000(0000) knlGS:0000000000000000
[ 60.117777] CS: 0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[ 60.117778] CR2: 00007f5187026510 CR3: 0000000250869000 CR4: 00000000001407f0
[ 60.117779] Stack:
[ 60.117782] ffff880251bb7c20 0000000000000000 0000000000000000 0000000000000000
[ 60.117783] 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[ 60.117785] 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[ 60.117786] Call Trace:
[ 60.117799] [<ffffffffa0203fad>] nouveau_object_inc+0xbd/0x1b0 [nouveau]
[ 60.117812] [<ffffffffa0204170>] nouveau_object_new+0xd0/0x230 [nouveau]
[ 60.117835] [<ffffffffa0265710>] nouveau_abi16_ioctl_grobj_alloc+0x70/0xe0 [nouveau]
[ 60.117845] [<ffffffffa0024212>] drm_ioctl+0x532/0x660 [drm]
[ 60.117851] [<ffffffff816fd6e4>] ? __do_page_fault+0x204/0x540
[ 60.117854] [<ffffffff811b90c5>] do_vfs_ioctl+0x2e5/0x4d0
[ 60.117856] [<ffffffff81097f69>] ? vtime_account_user+0x69/0x80
[ 60.117858] [<ffffffff811b9331>] SyS_ioctl+0x81/0xa0
[ 60.117861] [<ffffffff8170246f>] tracesys+0xe1/0xe6
[ 60.117885] Code: 7d 11 89 ...

Read more...

Changed in linux (Ubuntu):
status: Incomplete → New
Erno Kuusela (erno-iki) on 2013-09-10
summary: - X fails to start with nvidia-prime on Acer Aspire V-573G
+ X fails to start with nvidia-prime on Acer Aspire V5-573G
tags: added: cherry-pick
Erno Kuusela (erno-iki) on 2013-09-17
Changed in linux (Ubuntu):
status: New → Confirmed
summary: - X fails to start with nvidia-prime on Acer Aspire V5-573G
+ X fails to start with nvidia-prime on Acer Aspire V5-573G/V3-772G
Erno Kuusela (erno-iki) wrote :

This has been fixed and committed for a while in kernel.org according to the bugzilla and should be in 3.12. Maybe add the fix to 12.04 kernels too?

Erno Kuusela, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available (not the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.13-rc1

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Florian Mang (minipt) wrote :

As there has been nothing going on here lately: You guys still need someone doing the testing? I also own one of these Aspire V5's 573g and am facing these kinds of problems. As I'm pretty new to Ubuntu and it's Community I'm still learning my ways.

Thanks for a brief update.

Florian Mang, so your hardware may be tracked, could you please file a new report by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

Erno Kuusela (erno-iki) wrote :

I tried with the latest trusty live cd and got the same result (complete with vbios error message in dmesg).

tags: added: trusty
Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Erno Kuusela, please execute the following at a terminal:
apport-collect -p linux 1222838

tags: added: needs-kernel-logs
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Erno Kuusela (erno-iki) wrote :

I seem to have gotten the usb stick into unbootable state (ran out of space on the cow filesystem in the middle of kernel installation...)

I'm attaching the kernel log and the Xorg log recovered from the casper-rw image on the stick.

Erno Kuusela (erno-iki) wrote :
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Erno Kuusela (erno-iki) wrote :

Also to clarify, this is after disabling nouveau and then installing nvidia-prime & nvidia bianry driver according to https://wiki.ubuntu.com/X/Config/HybridGraphics

Erno Kuusela, could you please utilize either a prior version of the Live environment, or installed environment, and run the apport-collect?

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Erno Kuusela (erno-iki) wrote :

I debugged the 3.13 kernel on my Precise install and the problem turned out to an incomplete 3.13 patch fodr the proprietary nvidia driver from the nvidia forums. I'll have another try with the live usb stick once official nvidia driver support appears.

(The kernel code had retired a macro and replaced with another (DEVICE_ACPI_HANDLE -> ACPI_HANDLE) and
the Nvidia driver just skipped the ACPI calls in in absence of the old macro, due to #ifdef checks.)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.